Subject: [forces] comments on draft-ietf-forces-packet-parallelization-00

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 15 Jul 2014 06:36:54 -0400

Evangelos/Joel,

Since this doc is in WG LC i made a more thorough run of the text.
There are a few editorial comments that i would urge a version -01.
I have attached my comments against the draft.

Issues i would like to highlight:
1) You need to explicitly state there can be only one instance per FE.

2) You need to define the concept of a "task" which is equivalent to
your description of "work". A task is a grouping of packets or chunks initiated
at the splitter and converged at the merger. All packets/chunks of the same
task will have the same correlator. Or something along those lines.
Once that is defined, text readability improves when it is used later.

3) You need to specify/suggest what should happen if threshold event
counters are exceeded

4) The Merge LFB and MergeWaitType component:
Is there a timeout period that a merger is supposed to wait for a
task's packet/chunks
to arrive before declaring a fail?

cheer,
jamal